List skills
Retrieve currently registered skills.
GET
/api/skillQuery parameters
locationobject | anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataSkill.Info[]requiredShow propertiesHide properties
Array of
Skill.Infoidstringrequirednamestringrequireddescriptionstringslashbooleanautoinvokebooleanlocationstringrequiredcontentstringrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/skill"const response = await fetch("/api/skill", {
method: "GET"
});import requests
response = requests.get(
"/api/skill",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"slash": true,
"autoinvoke": true,
"location": "string",
"content": "string"
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}